'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generate;

var _graphql = require('graphql');

var _schema = require('./schema');

var _schema2 = _interopRequireDefault(_schema);

var _resolvers = require('./resolvers');

var _resolvers2 = _interopRequireDefault(_resolvers);

var _model = require('./model');

var _model2 = _interopRequireDefault(_model);

var _capitalization = require('./util/capitalization');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function generate(inputSchemaStr) {
  var inputSchema = (0, _graphql.parse)(inputSchemaStr);

  var type = inputSchema.definitions[0];
  var TypeName = type.name.value;

  var outputSchema = (0, _schema2.default)(inputSchema);
  var outputSchemaStr = (0, _graphql.print)(outputSchema);
  var resolversStr = (0, _resolvers2.default)(inputSchema);
  var modelStr = (0, _model2.default)(inputSchema);

  return {
    typeName: (0, _capitalization.lcFirst)(TypeName),
    TypeName: TypeName,
    outputSchemaStr: outputSchemaStr,
    resolversStr: resolversStr,
    modelStr: modelStr
  };
} // We are in an intermediate step where we aren't actually generating files
// but we are generating code.